#
# spec file for package gap-hap
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-hap
Version:        1.11.13
Release:        bp153.1.12
Summary:        GAP: Homological Algebra Programming
License:        GPL-2.0+
Group:          Productivity/Scientific/Math
Url:            http://hamilton.nuigalway.ie/Hap/www/

Source:         https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/hap1.11.tar.bz2
Source2:        %name-rpmlintrc
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  fdupes
BuildRequires:  gap-rpm-devel
Requires:       gap-core >= 4.5.6
Requires:       gap-crystcat >= 1.1
Requires:       gap-polycyclic >= 1.1
Suggests:       gap-aclib >= 1.1
Suggests:       gap-congruence >= 0.0
Suggests:       gap-edim >= 1.2.2
Suggests:       gap-gapdoc >= 0.0
Suggests:       gap-hapcryst > 0.0
Suggests:       gap-homology >= 0.0
Suggests:       gap-nq >= 1.1
Suggests:       gap-nql >= 0.0
Suggests:       gap-singular >= 06.07.23
Suggests:       gap-xmod > 0.0

%description
"HAP" is a package for some basic calculations in the cohomology of
finite and infinite groups.

%prep
%setup -qn Hap1.11

%build

%install
find . -type f "(" -name ".*.swp" -o -name "*.bak" ")" -delete
find . -type f -exec grep -L '^#!/' "{}" "+" | xargs -d'\n' -r chmod a-x
find . -type f -exec grep -l "^#!/usr/local/bin/perl" "{}" "+" | \
	xargs -d'\n' -r perl -i -pe 's{#!/usr/local/bin/perl}{#!/usr/bin/perl}g'
%gappkg_simple_install
%fdupes %buildroot/%_prefix

%files -f %name.files
%defattr(-,root,root)

%changelog
* Fri Mar 11 2016 jengelh@inai.de
- Update to new upstream release 1.11.13
  * No changelog was provided
* Tue Dec  8 2015 jengelh@inai.de
- Update to new upstream release 1.11.12
  * No changelog was provided
* Fri Apr 18 2014 jengelh@inai.de
- Update to new upstream release 1.10.15
  * No upstream changelog was provided
* Wed Feb  5 2014 jengelh@inai.de
- Update to new upstream release 1.10.14.3
  * No upstream changelog was provided
* Fri May 10 2013 jengelh@inai.de
- Split hap (version 1.10.10.2) off the gap RPM package
